Bug 489815 - kernel panic on booting of RHEL5.2 with chelsio T3 dual port in the machine
kernel panic on booting of RHEL5.2 with chelsio T3 dual port in the machine
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
x86_64 Linux
low Severity high
: rc
: 5.2
Assigned To: Neil Horman
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-11 19:58 EDT by cheho
Modified: 2009-04-16 06:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-16 06:48:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cheho 2009-03-11 19:58:42 EDT
Description of problem:
Kernel panic on boot of RHEL5 with chelsio T3 dual port 10G adapter in the machine.

Version-Release number of selected component (if applicable):
# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 5.2 (Tikanga)
# uname -a
Linux netpc??.lab.?????.com 2.6.18-92.el5 #1 SMP Tue Apr 29 13:16:15 EDT 2008 x86_64 x86_64 x86_64 GNU/Linux

0a:00.0 Ethernet controller: Chelsio Communications Inc T320 10GbE Dual Port Protocol Engine Ethernet Adapter
	Subsystem: Chelsio Communications Inc Unknown device 0001
# lspci -n
0a:00.0 0200: 1425:0031

Good version of driver pulled from the chelsio web site
# ethtool -i eth2
driver: cxgb3
version: 1.2
firmware-version: T 7.1.0 TP 1.1.0
bus-info: 0000:0a:00.0

How reproducible:
100%

Steps to Reproduce:
1. Install chelsio dual port 10G adapter in a system (T320)
2. Install RHEL5
3. kernel panic at boot
   Top of kernal panic stack is at t3_prep_adapter()
  
Actual results:


Expected results:


Additional info:
Driver downloaded from chelsio web site fixed the problem. The driver in RHEL5
should be updated.
Comment 1 Neil Horman 2009-03-12 06:42:41 EDT
Do you have a stack trace?
Does this still occur on the 5.3 (2.6.18-128.el5) kernel?  The driver has had significant updates since 5.2

Correcting component.
Comment 2 Andy Gospodarek 2009-03-12 10:43:59 EDT
Apparently this patch will fix it:

commit 9f64306b8a3949b74cb11d3b2f613e8a2af20fa6
Author: Divy Le Ray <divy@chelsio.com>
Date:   Sun Nov 9 00:55:28 2008 -0800

    cxgb3 - eeprom read fixes

    Protect against invalid phy entries in the eeprom.
    Extend eeprom access timeout.

This change is already in 5.3, so I suspect 5.3 will work find for them.
Comment 3 Neil Horman 2009-03-23 06:36:27 EDT
ping, any updates on 5.3 testing?
Comment 4 Neil Horman 2009-04-16 06:48:31 EDT
No response, assuming 5.3 fixed it

Note You need to log in before you can comment on or make changes to this bug.